import { Directive, ElementRef, Input, OnChanges } from '@angular/core';

@Directive({
  selector: '[rlDatepickerPopup]'
})
export class RlDatepickerPopupDirective implements OnChanges {
  @Input() open: boolean;
  element: ElementRef;

  constructor(el: ElementRef) {
    this.element = el;
    el.nativeElement.style.position = 'absolute';
    el.nativeElement.style.top = '35px';
    el.nativeElement.style.right = '15px';
    el.nativeElement.style['z-index'] = '1035';
    el.nativeElement.style['background-color'] = '#f5f5f5';
    el.nativeElement.style['padding-bottom'] = '5px';
    el.nativeElement.style['border-bottom'] = 'rgb(227, 227, 227) 1px solid';
  }

  ngOnChanges(changes) {
    if (changes.open.currentValue) {
      this.element.nativeElement.style.display = 'block';
    } else {
      this.element.nativeElement.style.display = 'none';
    }
  }

}
